getItemLedgerActivity
READKeyset-paginated item-ledger activity for the per-item Activity panel.
POST /api/v1/inventory/getItemLedgerActivity
curl -X POST '<your-host>/api/v1/inventory/getItemLedgerActivity' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"itemId": "string",
"locationId": "string"
}'Response
{
"results": [
{
"comment": "string",
"companyId": "string",
"correctionOfItemLedgerId": "string",
"createdAt": "string",
"createdBy": "string",
"documentId": "string",
"documentLineId": "string",
"documentType": "Sales Shipment",
"entryNumber": 0,
"entryType": "Purchase",
"externalDocumentId": "string",
"id": "string",
"itemId": "string",
"locationId": "string",
"postingDate": "string",
"quantity": 0,
"scrapReasonId": "string",
"storageUnitId": "string",
"trackedEntityId": "string",
"trackedEntityStatus": "Rejected",
"updatedBy": "string",
"storageUnit": {
"name": "string"
},
"trackedEntity": {
"readableId": "string"
}
}
],
"count": null
}Parameters
ParameterType
"older""newer"
Input schema
schema
{
"type": "object",
"properties": {
"itemId": {
"type": "string"
},
"locationId": {
"type": "string"
},
"entryNumber": {
"type": "number"
},
"direction": {
"type": "string",
"enum": [
"older",
"newer"
]
},
"inclusive": {
"type": "boolean"
}
},
"required": [
"itemId",
"locationId"
]
}